# VersionCompareCondition

Implements \Condition

Condition that compare versions

author | Tomáš Fejfar (tomas.fejfar@gmail.com)
package | phing.tasks.system.condition

### Methods

## evaluate

    evaluate() : mixed

throws |

### Response

`mixed`

## setDebug

    setDebug( $debug)

### Arguments

#### $debug

``

## setDesiredVersion

    setDesiredVersion( $desiredVersion)

### Arguments

#### $desiredVersion

``

## setOperator

    setOperator( $operator)

throws |

### Arguments

#### $operator

``

## setVersion

    setVersion( $version)

### Arguments

#### $version

``

### Properties

## Actual version

    version : string

var |

### Type(s)

`string`

## Version to be compared to

    desiredVersion : string

var |

### Type(s)

`string`

## Operator to use (default "greater or equal")

    operator : string

var | operator for possible values @see http://php.net/version%20compare

### Type(s)

`string`

## debug

    debug :

### Type(s)

``